import java.util.*;
import java.util.function.Predicate;
import static java.util.stream.Collectors.*;

public class Sample {    
  public static int totalValues(List<Integer> values, Predicate<Integer> selector) {
    return values.stream()
                 .filter(selector)
                 .mapToInt(value -> value)
                 .sum();
  }

  public static void main(String[] args) {
    List<Integer> values = Arrays.asList(1, 2, 3, 4, 5, 6);
    
    System.out.println(totalValues(values, value -> true));
    System.out.println(totalValues(values, value -> value % 2 == 0));
    System.out.println(totalValues(values, value -> value % 2 != 0));
  }
}